scala.tools.nsc.transform.patmat.MatchTreeMaking.TreeMakers

# PreserveSubPatBinders

#### sealed trait PreserveSubPatBinders extends TreeMaker

Source
  MatchTreeMaking.scala

Linear Supertypes
TreeMaker, AnyRef, Any
Known Subclasses
ExtractorTreeMaker, ProductExtractorTreeMaker
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PreserveSubPatBinders
2. TreeMaker
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def chainBefore(next: Global.Tree)(casegen: TreeMakers.Casegen): Global.Tree

   Definition Classes
     TreeMaker

2. #### abstract def extraStoredBinders: Set[Global.Symbol]

3. #### abstract val ignoredSubPatBinders: Set[Global.Symbol]

4. #### abstract def pos: Global.Position

   Definition Classes
     TreeMaker

5. #### abstract val subPatBinders: List[Global.Symbol]

6. #### abstract val subPatRefs: List[Global.Tree]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PreserveSubPatBinders to any2stringadd[PreserveSubPatBinders] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PreserveSubPatBinders, B)

   Implicit information
     This member is added by an implicit conversion from PreserveSubPatBinders to ArrowAssoc[PreserveSubPatBinders] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def bindSubPats(in: Global.Tree): Global.Tree

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def emitVars: Boolean

10. #### def ensuring(cond: (PreserveSubPatBinders) ⇒ Boolean, msg: ⇒ Any): PreserveSubPatBinders

    Implicit information
      This member is added by an implicit conversion from PreserveSubPatBinders to Ensuring[PreserveSubPatBinders] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (PreserveSubPatBinders) ⇒ Boolean): PreserveSubPatBinders

    Implicit information
      This member is added by an implicit conversion from PreserveSubPatBinders to Ensuring[PreserveSubPatBinders] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): PreserveSubPatBinders

    Implicit information
      This member is added by an implicit conversion from PreserveSubPatBinders to Ensuring[PreserveSubPatBinders] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): PreserveSubPatBinders

    Implicit information
      This member is added by an implicit conversion from PreserveSubPatBinders to Ensuring[PreserveSubPatBinders] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PreserveSubPatBinders to StringFormat[PreserveSubPatBinders] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### lazy val localSubstitution: TreeMakers.Substitution

    Attributes
      protected
    Definition Classes
      PreserveSubPatBinders → TreeMaker

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### lazy val storedBinders: Set[Global.Symbol]

26. #### def subPatternsAsSubstitution: TreeMakers.Substitution

    The substitution that specifies the trees that compute the values of the subpattern binders.

    The substitution that specifies the trees that compute the values of the subpattern binders.

    We pretend to replace the subpattern binders by subpattern refs (Even though we don't do so anymore -- see SI-5158, SI-5739 and SI-6070.)

    Definition Classes
      PreserveSubPatBinders → TreeMaker

27. #### def substitution: TreeMakers.Substitution

    captures the scope and the value of the bindings in patterns important *when* the substitution happens (can't accumulate and do at once after the full matcher has been constructed)

    captures the scope and the value of the bindings in patterns important *when* the substitution happens (can't accumulate and do at once after the full matcher has been constructed)

    Definition Classes
      TreeMaker

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (PreserveSubPatBinders, B)

    Implicit information
      This member is added by an implicit conversion from PreserveSubPatBinders to ArrowAssoc[PreserveSubPatBinders] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TreeMaker

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PreserveSubPatBinders to any2stringadd[PreserveSubPatBinders]

### Inherited by implicit conversion StringFormat from PreserveSubPatBinders to StringFormat[PreserveSubPatBinders]

### Inherited by implicit conversion Ensuring from PreserveSubPatBinders to Ensuring[PreserveSubPatBinders]

### Inherited by implicit conversion ArrowAssoc from PreserveSubPatBinders to ArrowAssoc[PreserveSubPatBinders]

### Ungrouped